Summary:	High speed arbitrary size integer math
Name:		perl-Math-GMP
Version:	2.06
Release:	2%{?dist}
License:	LGPLv2+
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/Math-GMP/
Source0:	http://search.cpan.org/CPAN/authors/id/T/TU/TURNSTEP/Math-GMP-%{version}.tar.gz
Source1:	14964AC8.asc
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildRequires:	gmp-devel
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Comments)
BuildRequires:	perl(Module::Signature)
BuildRequires:	perl(Pod::Spell)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Test::YAML::Meta)
BuildRequires:	perl(Text::SpellChecker)
BuildRequires:	perl(YAML)
BuildRequires:	aspell-en

# Critic and Pod Coverage tests fail, so make sure we don't try to run them for now
BuildConflicts:	perl(Perl::Critic)
BuildConflicts:	perl(Test::Pod::Coverage)

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
Math::GMP was designed to be a drop-in replacement both for Math::BigInt and
for regular integer arithmetic. Unlike BigInt, though, Math::GMP uses the GNU
gmp library for all of its calculations, as opposed to straight Perl functions.
This can result in speed improvements.

%prep
%setup -q -n Math-GMP-%{version}

# Do the build in a subdirectory so that the debug files list doesn't interfere
# with the signature test
set -- * .perlcriticrc
%{__mkdir} source
%{__mv} "$@" source
# Copy docs back to top level for %doc
%{__cp} -a source/{README,Changes,LICENSE} .

%build
cd source
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}
cd -

%check
# Locale set to en_US for spell check tests
%{__gpg} --import %{SOURCE1}
LC_ALL=en_US %{__make} -C source test RELEASE_TESTING=1 TEST_VERBOSE=1

%install
%{__rm} -rf %{buildroot}
cd source
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -type f -name '*.bs' -a -size 0 -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -depth -type d -exec /bin/rmdir {} ';' 2>/dev/null
%{__chmod} -R u+w %{buildroot}/*
cd -

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README Changes LICENSE
%{perl_vendorarch}/Math/
%{perl_vendorarch}/auto/Math/
%{_mandir}/man3/Math::GMP.3pm*

%changelog
* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 2.06-2
- rebuild against perl 5.10.1

* Fri Sep 18 2009 Paul Howarth <paul@city-fan.org> 2.06-1
- Update to 2.06
  - Make Makefile.PL more forgiving of gmp library locations (CPAN RT#46323)
  - Update link to libgmp.org in INSTALL file (CPAN RT#46324)
- Use %%{?perl_default_filter}
- RELEASE_TESTING variable obsoletes TEST_{AUTHOR,CRITIC,SIGNATURE,SPELL}
- BuildConflict Test::Critic and Test::Pod::Coverage to avoid failing tests

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.05-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Mar  7 2009 Paul Howarth <paul@city-fan.org> 2.05-4
- Filter out unwanted provides for perl shared objects
- Do the build in a subdirectory so that the debug files list doesn't interfere
  with the signature test
- Enable the signature test
- Run the tests in the en_US locale - spell check tests now pass
- Add buildreq perl(YAML) to enable the YAML tests

* Thu Feb 26 2009 Paul Howarth <paul@city-fan.org> 2.05-3
- Add buildreq aspell-en as it's not pulled in by aspell after Fedora 10
- Add buildreq perl(File::Comments) to support spellchecking of comments
- Disable spellcheck tests as they fail anyway

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 2.05-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Oct  7 2008 Paul Howarth <paul@city-fan.org> 2.05-1
- New upstream maintainer, new upstream version 2.05
- 64-bit test suite compatibility issues fixed upstream, patch removed
- Run tests in verbose mode
- Add buildreq perl(Test::More) for basic test suite
- Add buildreqs perl(Module::Signature), perl(Perl::Critic), perl(Pod::Spell),
  perl(Test::Pod), perl(Test::YAML::Meta), and perl(Text::SpellChecker) for
  additional test suite functionality

* Fri Jun  6 2008 Paul Howarth <paul@city-fan.org> 2.04-10
- Apply 64-bit testsuite-fixing patch on sparc64 too

* Tue Mar 25 2008 Paul Howarth <paul@city-fan.org> 2.04-9
- Apply 64-bit testsuite-fixing patch on ia64 too (#436649)

* Thu Mar  6 2008 Tom "spot" Callaway <tcallawa@redhat.com> 2.04-8
- Rebuild for new perl

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> 2.04-7
- Autorebuild for GCC 4.3

* Mon Aug 13 2007 Paul Howarth <paul@city-fan.org> 2.04-6
- Clarify license as LGPL, version 2 or later

* Wed Apr 18 2007 Paul Howarth <paul@city-fan.org> 2.04-5
- Buildrequire perl(ExtUtils::MakeMaker)
- Fix argument order for find with -depth

* Wed Aug 30 2006 Paul Howarth <paul@city-fan.org> 2.04-4
- FE6 mass rebuild

* Thu Feb 16 2006 Paul Howarth <paul@city-fan.org> 2.04-3
- Rebuild

* Tue Feb  7 2006 Paul Howarth <paul@city-fan.org> 2.04-2
- Apply patch to fix broken testsuite on 64-bit arches (CPAN RT#12751)

* Tue Nov 29 2005 Paul Howarth <paul@city-fan.org> 2.04-1
- Initial build
